Name:           python-pyqt-builder
Version:        1.18.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The PyQt build system

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/PyQt-builder/
Source:         %{pypi_source pyqt_builder}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyqt-builder' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyqt-builder
Summary:        %{summary}

%description -n python3-pyqt-builder %_description


%prep
%autosetup -p1 -n pyqt_builder-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyqt-builder -f %{pyproject_files}


%changelog
%autochangelog